<?php

// Script créé par Chacks pour eedomus
// Vérifie si la journée en cours est un jour férié
// Version 1 / 11 septembre 2014


$Aujourdhui = date('Y/m/d');
$Demain = date("Y/m/d", mktime(1, 1, 1, date("m"), date("d") + 1, date("Y")));
$Veille = date("Y/m/d", mktime(1, 1, 1, date("m"), date("d") - 1, date("Y")));
$Annee = date('Y');
$Ferie = '0';
$Ferie_Demain = '0';
$Ferie_Veille = '0';


$R = fmod($Annee,4);
$S = fmod($Annee,7);
$T = fmod($Annee,19);
$B = 19 * $T;
$B = $B + 24;
$M = fmod($B,30);
$f = 2 * $R;
$g = 4 * $S;
$h = 6 * $M;
$C = $f + $g + $h + 5;
$N = fmod($C,7);
$P = $M + $N;
    
if ($P < 10)
{
    $Jour = $P + 22;
    $Mois = 3;
}

if ($P > 9)
{
    $Jour = $P - 9;
    $Mois = 4;
} 

$Paques = mktime(0,0,0,$Mois,$Jour,$Annee);
$Lundi_Paques = date('Y/m/d', strtotime('+1 day', $Paques ));
$Ascension = date('Y/m/d', strtotime('+39 day', $Paques ));
$Pentecote = date('Y/m/d', strtotime('+50 day', $Paques ));


$Feries= array($Annee .'/01/01'=>'1', //Jour de l'An
            $Lundi_Paques=>'2', // Lundi de Pâques
             $Annee .'/05/01'=>'3', // Fête du travail
             $Annee .'/05/08'=>'4', // 8 Mai 1945
             $Ascension=>'5', // Ascension
             $Pentecote=>'6', // Pentecôte
             $Annee .'/07/14'=>'7', // Fête Nationale
            $Annee .'/08/15'=>'8', // Assomption
            $Annee .'/11/01'=>'9', // La Toussaint
             $Annee .'/11/11'=>'10', // Armistice
             $Annee .'/12/25'=>'11'); // Noël


foreach ($Feries AS $key => $value) 
{
   	if (strtotime($Aujourdhui) == strtotime($key)) 
    {
    	$Ferie = $value;
        break;
	}
	if (strtotime($Demain) == strtotime($key)) 
    {
    	$Ferie_Demain = $value;
        break;
	}
	if (strtotime($Veille) == strtotime($key)) 
    {
    	$Ferie_Veille = $value;
        break;
	}
}

sdk_header('text/xml');
echo "<root>";
echo "<date>".utf8_encode($Aujourdhui)."</date>";
echo "<date_demain>".utf8_encode($Demain)."</date_demain>";
echo "<date_veille>".utf8_encode($Veille)."</date_veille>";
echo "<ferie>".utf8_encode($Ferie)."</ferie>"; // Neutre
echo "<ferie_demain>".utf8_encode($Ferie_Demain)."</ferie_demain>"; // Neutre
echo "<ferie_veille>".utf8_encode($Ferie_Veille)."</ferie_veille>"; // Neutre
echo "</root>";

?>

	
